<template>
  <el-dialog
    class="preview-task-student"
    :visible.sync="modalIsShow"
    title="考试对象学生"
    top="10px"
    width="600px"
    :close-on-click-modal="false"
    :close-on-press-escape="false"
    append-to-body
  >
    <el-table ref="TableList" :data="studentList">
      <el-table-column type="index" label="序号" width="70"></el-table-column>
      <el-table-column prop="studentName" label="姓名"> </el-table-column>
      <el-table-column prop="studentCode" label="学号"> </el-table-column>
      <el-table-column prop="className" label="班级"> </el-table-column>
    </el-table>
  </el-dialog>
</template>

<script>
export default {
  name: "preview-task-student",
  props: {
    studentList: {
      type: Array,
      default() {
        return [];
      }
    }
  },
  data() {
    return {
      modalIsShow: false
    };
  },
  methods: {
    cancel() {
      this.modalIsShow = false;
    },
    open() {
      this.modalIsShow = true;
    }
  }
};
</script>
